﻿<?xml version="1.0"?> 
<xsl:stylesheet xmlns:xsl="http://www.w3.org/1999/XSL/Transform" version="1.0">
<xsl:output method="html"/>

<xsl:template match="/">
<HTML>
<HEAD>
	<TITLE>FeedMon</TITLE>
	<LINK REL="stylesheet" TYPE="text/css" HREF="..\rss.css" />
</HEAD>
<BODY>
  <xsl:apply-templates select="//channel"/>
</BODY>
</HTML>
</xsl:template>

<xsl:template match="channel">
    
<xsl:apply-templates select="../image"/>
 <h1><xsl:value-of select="title"/></h1>
  <dl>
    <xsl:apply-templates select="item"/>
  </dl>
</xsl:template>

<xsl:template match="item">
<dt>
    <xsl:element name="a">
      <xsl:attribute name="href"><xsl:value-of select="link"/></xsl:attribute>
      <xsl:value-of select="title" />
    </xsl:element>
     - <xsl:value-of select="pubDate" />
</dt>
<dd><xsl:value-of disable-output-escaping="yes" select="description" /></dd>
</xsl:template>

<xsl:template match="image">
  <xsl:element name="img">
    <xsl:attribute name="src"><xsl:value-of select="url"/></xsl:attribute>
  </xsl:element>
</xsl:template>

<xsl:template match="language">
</xsl:template>

</xsl:stylesheet>